Isteʼmolchilar roʻyxati
GET
/api/v1/customers Resurs yetkazib beruvchining isteʼmolchilari roʻyxatini sahifalab qaytaradi; roʻyxatni ixtiyoriy ravishda resurs yetkazib beruvchi boʻyicha filtrlash mumkin.
Soʻrov parametrlari
energy_id integer Resurs yetkazib beruvchining identifikatori. Ixtiyoriy — tanlanmani toraytiradi.
page integer Sahifa raqami.
Javob maydonlari
| Atribut | Tavsif |
|---|---|
id | Tizimdagi isteʼmolchining identifikatori (noyob kaliti) |
name | Isteʼmolchining nomi |
subdivision_type_name | Isteʼmolchining turi |
inn | Isteʼmolchining soliq toʻlovchi sifatidagi identifikatsiya raqami (VAT ID) |
contact_number | Aloqa raqami |
data | Qaytariladigan maʼlumotlar massivi |
total_pages | Qaytarilayotgan tanlanmadagi sahifalarning umumiy soni |
current_page | Joriy sahifa |
next_page | Yuklab olish uchun mavjud keyingi sahifa; agar joriy sahifa oxirgisi boʻlsa — null |
Soʻrov
bash
curl -i \
--header "access-token: *********************" \
--header "token-type: Bearer" \
--header "client: **********************" \
--header "uid: api-user@example.com" \
--header "Content-Type: application/json" \
--request GET \
"https://api.vadsro.eu/api/v1/customers?energy_id=1&page=1"js
const res = await fetch('https://api.vadsro.eu/api/v1/customers?energy_id=1&page=1', {
headers: {
'access-token': '*********************',
'token-type': 'Bearer',
client: '**********************',
uid: 'api-user@example.com',
'Content-Type': 'application/json',
},
});
const data = await res.json();python
import requests
res = requests.get(
"https://api.vadsro.eu/api/v1/customers",
params={"energy_id": 1, "page": 1},
headers={
"access-token": "*********************",
"token-type": "Bearer",
"client": "**********************",
"uid": "api-user@example.com",
"Content-Type": "application/json",
},
)
data = res.json()go
req, _ := http.NewRequest("GET", "https://api.vadsro.eu/api/v1/customers?energy_id=1&page=1", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "api-user@example.com")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)php
$ch = curl_init("https://api.vadsro.eu/api/v1/customers?energy_id=1&page=1");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"access-token: *********************",
"token-type: Bearer",
"client: **********************",
"uid: api-user@example.com",
"Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);Javob
json
{"data":[
{
"id":13,
"name":"Example National Sports Federation",
"subdivision_type_name":"Unit owner",
"inn":"1000000042",
"contact_number":"+49-30-5550100"
},
...,
{
"id":22,
"name":"Example Rail Infrastructure SE",
"subdivision_type_name":"Unit owner",
"inn":"1000000043",
"contact_number":"+49-30-5550102"
}
],
"total_pages":8,
"current_page":1,
"next_page":2
} Oxirgi yangilanish
Ushbu sahifa foydali boʻldimi?
Fikr-mulohazangiz uchun rahmat!
Resurs yetkazib beruvchilar roʻyxati
Orqaga
Hisob tugunlari
Keyingi